For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Create a simulation case

||View as Markdown|
POST
/simulation_cases
POST
/v2/simulation_cases
$curl -X POST https://api.synthflow.ai/v2/simulation_cases \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Customer Support Test",
> "prompt": "You are a customer calling about a billing issue.",
> "type": "custom",
> "success_criteria": [
> "Agent resolves billing issue",
> "Agent maintains professional tone"
> ],
> "call_success_type": "all",
> "suite_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
>}'
1{
2 "status": "ok",
3 "response": {
4 "simulation_case": {
5 "name": "Customer Support Test",
6 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786"
7 }
8 }
9}
Create a new simulation case for a workspace.
Was this page helpful?
Previous

List simulation cases

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Name of the simulation case.
promptstringRequired
Prompt used during the simulation case.
typeenumRequired
Simulation case type.
Allowed values:
success_criterialist of stringsRequired
Success criteria evaluated for the case.
call_success_typeenumRequired
Success logic for the case.
Allowed values:
suite_idstringOptionalformat: "uuid"
ID of the simulation suite to add this case to. Required for v2 simulation suites.
base_agent_idstring or nullOptional
Agent ID to base the generated case on.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error
422
Unprocessable Entity Error